# obtenir un numéro de version depuis git en python

![category](développement)
![tag](git)
![tag](python)


Un des élements intéressant quand on développe avec git est d'avoir automatiquement le numéro de version de programme
lié au tags git en cours

Il existe un module python nommé **gitpython** qui permet d'avoir des informations sur un repository git

Son installation est simple

```bash
pip install GitPython
```

Exemple de code permettant d'obtenir le dernier tag

```python
from git import Repo

def get_version():
	repo = Repo('.')
	current_commit = repo.commit()
	for tag in repo.tags:
		if tag.commit == current_commit:
			return tag.name
	return current_commit.hexsha[:8]

print(get_version())
```

Cela est très utile dans le cas d'un outil qu'on déploie via un "git clone" ... ou via docker si les sources sont issues d'un "git clone"